Bug 119398 - net/v6eval - v6-eval can not compile on 7.0
net/v6eval - v6-eval can not compile on 7.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 22:50 UTC by takeharu1219
Modified: 2008-01-31 02:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.73 KB, patch)
2008-01-06 22:50 UTC, takeharu1219
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takeharu1219 2008-01-06 22:50:02 UTC
	V6-eval port can not compile with recent openssl.

Fix: Apply following patch.
	I confirmed that the port can be certainly compiled after applying 
        this patch, but I can not figure out whether this patch is correct 
	or not.

 diff -Nupr v6eval.orig/Makefile v6eval/Makefile
How-To-Repeat: 	cd /usr/ports/net/v6eval
	make install
Comment 1 takeharu1219 2008-01-06 23:10:44 UTC
Sorry, I made mistake when I sent patch, so I re-send it.

diff -Nupr v6eval.orig/Makefile v6eval/Makefile
--- v6eval.orig/Makefile	2006-09-04 06:41:00.000000000 +0900
+++ v6eval/Makefile	2008-01-01 06:24:42.000000000 +0900
@@ -22,10 +22,6 @@ USE_OPENSSL=	yes
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} >= 700019
-BROKEN=		does not compile with OpenSSL 0.9.8b
-.endif
-
 post-install:
 	@${SED} -e 's#@LOCALBASE@#${LOCALBASE}#' ${PKGMESSAGE}
 
diff -Nupr v6eval.orig/files/patch-Bpfilter.h v6eval/files/patch-Bpfilter.h
--- v6eval.orig/files/patch-Bpfilter.h	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-Bpfilter.h	2008-01-01 06:22:36.000000000 +0900
@@ -0,0 +1,11 @@
+--- lib/pkt/Bpfilter.h	2001-10-05 20:41:19.000000000 +0900
++++ lib/pkt/Bpfilter.h	2008-01-01 04:50:29.000000000 +0900
+@@ -62,7 +62,7 @@ public:
+ 	int statistics(uint32_t&,uint32_t&) const;
+ 	int receive(caddr_t) const;
+ 	int send(caddr_t,uint32_t) const;
+-	uint32_t Bpfilter::getDLT() const;
++	uint32_t getDLT() const;
+ };
+ inline int Bpfilter::fileDesc() const {return fd_;}
+ inline uint32_t Bpfilter::bufferSize() const {return bufsize_;}
diff -Nupr v6eval.orig/files/patch-McIKE.h v6eval/files/patch-McIKE.h
--- v6eval.orig/files/patch-McIKE.h	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-McIKE.h	2008-01-01 06:22:25.000000000 +0900
@@ -0,0 +1,11 @@
+--- lib/Pz/McIKE.h	2005-05-09 18:35:23.000000000 +0900
++++ lib/Pz/McIKE.h	2008-01-01 04:36:34.000000000 +0900
+@@ -397,7 +397,7 @@ class WmISAKMP_Padding: public WmObject 
+ 
+ class PaISAKMP: public PaESP {
+ 	public:
+-		PaISAKMP::PaISAKMP(const MObject *m, CSTR st, int l):
++		PaISAKMP(const MObject *m, CSTR st, int l):
+ 			PaESP(m, st, l) {};
+ 		virtual ~PaISAKMP() {}
+ 
diff -Nupr v6eval.orig/files/patch-MvFunction.cc v6eval/files/patch-MvFunction.cc
--- v6eval.orig/files/patch-MvFunction.cc	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-MvFunction.cc	2008-01-01 06:22:13.000000000 +0900
@@ -0,0 +1,10 @@
+--- lib/Pz/MvFunction.cc	2005-05-09 18:35:24.000000000 +0900
++++ lib/Pz/MvFunction.cc	2008-01-01 04:41:51.000000000 +0900
+@@ -71,6 +71,7 @@ extern "C" {
+ #include <netinet/in.h>
+ #include <arpa/inet.h>
+ #include <openssl/hmac.h>
++#include <openssl/md5.h>
+ #include <openssl/sha.h>
+ }
+ 
diff -Nupr v6eval.orig/files/patch-RAFControl.h v6eval/files/patch-RAFControl.h
--- v6eval.orig/files/patch-RAFControl.h	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-RAFControl.h	2008-01-01 06:21:59.000000000 +0900
@@ -0,0 +1,11 @@
+--- lib/pkt/RAFControl.h	2001-10-05 20:41:20.000000000 +0900
++++ lib/pkt/RAFControl.h	2008-01-01 04:49:37.000000000 +0900
+@@ -69,7 +69,7 @@ virtual	const PaObject*	pop_SA(eAlgorith
+ 	CSTR reverseEvaluate(const McObject&,PvOctets&,bool&);
+ 	bool evaluateWith(RObject*,WObject*) const;
+ 	WObject* evaluateAlgorithm(RObject*) const;
+-	WObject* RAFControl::evaluate(RObject*);
++	WObject* evaluate(RObject*);
+ virtual	void reset();
+ 	void applyFrame(const WObject* w) const;
+ 	const WAlgorithm* appliedAlgorithm() const;
diff -Nupr v6eval.orig/files/patch-hmac.c v6eval/files/patch-hmac.c
--- v6eval.orig/files/patch-hmac.c	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-hmac.c	2008-01-01 06:21:50.000000000 +0900
@@ -0,0 +1,11 @@
+--- lib/Pz/crypto/hmac/hmac.c	2002-05-27 18:56:19.000000000 +0900
++++ lib/Pz/crypto/hmac/hmac.c	2008-01-01 04:48:38.000000000 +0900
+@@ -60,7 +60,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <string.h>
+-#include <openssl/hmac.h>
++#include "hmac.h"
+ 
+ void HMAC_Init(HMAC_CTX *ctx, const void *key, int len,
+ 	       const EVP_MD *md)
diff -Nupr v6eval.orig/files/patch-sigcomp.c v6eval/files/patch-sigcomp.c
--- v6eval.orig/files/patch-sigcomp.c	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-sigcomp.c	2008-01-01 06:21:42.000000000 +0900
@@ -0,0 +1,11 @@
+--- bin/sigcomp/sigcomp.c	2005-05-27 20:40:19.000000000 +0900
++++ bin/sigcomp/sigcomp.c	2008-01-01 06:03:23.000000000 +0900
+@@ -53,7 +53,7 @@
+ 
+ #include <openssl/err.h>
+ #include <openssl/evp.h>
+-
++#include <openssl/rsa.h>
+ 
+ 
+ #ifdef DEBUG
diff -Nupr v6eval.orig/files/patch-x509dec.c v6eval/files/patch-x509dec.c
--- v6eval.orig/files/patch-x509dec.c	1970-01-01 09:00:00.000000000 +0900
+++ v6eval/files/patch-x509dec.c	2008-01-01 06:21:33.000000000 +0900
@@ -0,0 +1,18 @@
+--- bin/x509dec/x509dec.c	2005-05-30 19:17:31.000000000 +0900
++++ bin/x509dec/x509dec.c	2008-01-01 06:02:24.000000000 +0900
+@@ -244,13 +244,13 @@ x509dec_on_evp(const X509 *const x509)
+ 
+ 	TAILQ_INIT(&head);
+ 
+-	if(!((unsigned char *)pubkey =
++	if(!(pubkey =
+ 		X509dec_get_pubkey(x509, &pubkeylen))) {
+ 
+ 		return(x509dec_on_evp_return(false, pubkey, subject_name));
+ 	}
+ 
+-	if(!((unsigned char *)subject_name =
++	if(!(subject_name =
+ 		X509dec_get_subject_name(x509, (int *)&subject_namelen))) {
+ 
+ 		return(x509dec_on_evp_return(false, pubkey, subject_name));
Comment 2 Edwin Groothuis freebsd_committer 2008-01-07 06:55:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 beech freebsd_committer 2008-01-30 23:37:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 4 dfilter freebsd_committer 2008-01-31 02:32:23 UTC
beech       2008-01-31 02:32:19 UTC

  FreeBSD ports repository

  Modified files:
    net/v6eval           Makefile pkg-plist 
  Added files:
    net/v6eval/files     patch-Bpfilter.h patch-McIKE.h 
                         patch-MvFunction.cc patch-RAFControl.h 
                         patch-hmac.c patch-sigcomp.c 
                         patch-x509dec.c 
  Log:
  - Fix build with OpenSSL-0.9.8b
  - Pet portlint
  - Bump portrevision
  
  PR:             ports/119398
  Submitted by:   Takeharu KATO <takeharu1219@ybb.ne.jp>
  Approved by:    (maintainer timeout)
  
  Revision  Changes    Path
  1.17      +5 -4      ports/net/v6eval/Makefile
  1.1       +11 -0     ports/net/v6eval/files/patch-Bpfilter.h (new)
  1.1       +11 -0     ports/net/v6eval/files/patch-McIKE.h (new)
  1.1       +10 -0     ports/net/v6eval/files/patch-MvFunction.cc (new)
  1.1       +11 -0     ports/net/v6eval/files/patch-RAFControl.h (new)
  1.1       +11 -0     ports/net/v6eval/files/patch-hmac.c (new)
  1.1       +11 -0     ports/net/v6eval/files/patch-sigcomp.c (new)
  1.1       +18 -0     ports/net/v6eval/files/patch-x509dec.c (new)
  1.9       +0 -4      ports/net/v6eval/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 beech freebsd_committer 2008-01-31 02:35:02 UTC
State Changed
From-To: feedback->closed

Committed (maintainer timeout), Thanks!